package com.sheep.gamegroup.model.entity;

import com.alibaba.fastjson.JSONObject;

import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Unique;
import org.xutils.db.annotation.Column;
import org.xutils.db.annotation.Table;

import java.io.Serializable;
import java.util.List;

/**
 * 任务
 * Created by ljy on 2018/3/20.
 */

public class TaskEty implements Serializable{
    private String boot_address;//private String string",
    private String create_time;// 0,
    private String download_link;//private String string",
    private int id;// 0,
    private int inspect_type = 1;// 1自动审核　2手动审核
    private String package_names;//private String string",
    private String remarks;//private String string",
    private String screenshots;//private String string",
    private String task_name;//private String string",
    private int task_type = 1;// 1时间试玩任务 2 信用卡任务 3应用下载 4h5业务
    private String update_time;// 0
    private String icon;
    private String package_size;
    private int release_task_id;
    private int acceptedTaskId;//接受任务id
    private String bonus;// 0,
    private String desc;// 任务详情介绍
    private String ext;// 对应的信用卡配置的id
    private List<TaskChild> child;

    public List<TaskChild> getChild() {
        return child;
    }

    public void setChild(List<TaskChild> child) {
        this.child = child;
    }

    public int getAcceptedTaskId() {
        return acceptedTaskId;
    }

    public void setAcceptedTaskId(int acceptedTaskId) {
        this.acceptedTaskId = acceptedTaskId;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getBonus() {
        return bonus;
    }

    public void setBonus(String bonus) {
        this.bonus = bonus;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private String name;

    public int getRelease_task_id() {
        return release_task_id;
    }

    public void setRelease_task_id(int release_task_id) {
        this.release_task_id = release_task_id;
    }

    private int runTask;//0,开始任务 1,开始试玩

    public int getRunTask() {
        return runTask;
    }

    public void setRunTask(int runTask) {
        this.runTask = runTask;
    }

    public String getPackage_size() {
        return package_size;
    }

    public void setPackage_size(String package_size) {
        this.package_size = package_size;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getBoot_address() {
        return boot_address;
    }

    public void setBoot_address(String boot_address) {
        this.boot_address = boot_address;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getDownload_link() {
        return download_link != null ? download_link.trim() : download_link;
    }

    public void setDownload_link(String download_link) {
        this.download_link = download_link;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getInspect_type() {
        return inspect_type;
    }

    public void setInspect_type(int inspect_type) {
        this.inspect_type = inspect_type;
    }

    public String getPackage_names() {
        return package_names;
    }

    public void setPackage_names(String package_names) {
        this.package_names = package_names;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getScreenshots() {
        return screenshots;
    }

    public void setScreenshots(String screenshots) {
        this.screenshots = screenshots;
    }

    public String getTask_name() {
        return task_name;
    }

    public void setTask_name(String task_name) {
        this.task_name = task_name;
    }

    public int getTask_type() {
        return task_type;
    }

    public void setTask_type(int task_type) {
        this.task_type = task_type;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }


    public boolean needDownloadApp() {
        return task_type != 2 || task_type != 4;
    }
}
